/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <plib.h>            /* Include to use PIC32 peripheral libraries     */
#include <stdint.h>          /* For uint32_t definition                       */
#include <stdbool.h>         /* For true/false definition                     */
#include "user.h"            /* variables/params used by user.c               */

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* TODO Initialize User Ports/Peripherals/Project here */

void InitApp(void)
{
    mJTAGPortEnable(DEBUG_JTAGPORT_OFF);
    mPORTAClearBits( BIT_0 );
    mPORTASetPinsDigitalOut( BIT_0 );

    // Timer1 setting
     // configure the core timer roll-over rate (1000msec)
     OpenTimer1(T1_ON | T1_SOURCE_INT | T1_PS_1_64, 15625);

     // set up the core timer interrupt with a prioirty of 2 and zero sub-priority
     ConfigIntTimer1(T1_INT_ON | T1_INT_PRIOR_2);

}
